Bug 1465966 - [RFE] Allow use of local file system repos for Ansible playbooks
[RFE] Allow use of local file system repos for Ansible playbooks
Status: ASSIGNED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
All Linux
medium Severity medium
: MVP
: 6.0.0
Assigned To: John Hardy
Dave Johnson
: FutureFeature
Depends On:
Blocks: 1498997
  Show dependency treegraph
 
Reported: 2017-06-28 10:28 EDT by jritenou
Modified: 2017-11-08 16:43 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Ansible


Attachments (Terms of Use)

  None (edit)
Description jritenou 2017-06-28 10:28:16 EDT
Description of problem: Working with public sector clients, I am often asked to stand up CloudForms in a disconnected environment with no internet access for proof of concepts.  Oftentimes, these environments have no internal git infrastructure in place.  As we start to plan out POCs based on CloudForms 4.5, I've begun thinking how I will handle importing Ansible playbooks for proving out functionality of embedded Ansible.

I see that there is a URL validator rule in place (opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-1048ffdbd63f/app/views/ansible_repository/_repository_form.html.haml) which only allows HTTP or HTTPS git repos to be added.  As an addendum to https://bugzilla.redhat.com/show_bug.cgi?id=1452584, I'd ask that we able to add local file system git repos as well, so we can simply copy playbooks to the appliance with the Ansible role and initialize the directory. 


Version-Release number of selected component (if applicable): 5.8.x


How reproducible: Always


Steps to Reproduce:
1. Try add an Ansible repository prefixed with file:///
2. Message will display indicating repos must be http or https:

Actual results: Can not add local file system repo


Expected results: Would like to have to the option to use local file system for playbooks as the backend supports it.


Additional info: I removed the validator rule in a test env (line 55 of the indicated file), and was able to create local file system repos. Functions as expected without the url-validator in place.
Comment 2 James Wong 2017-06-29 10:18:42 EDT
This is a RFE. I am assigning to John to decide on
1. if we want to support this
2. and assign a PM score for priority assessment.

regards,
James

Note You need to log in before you can comment on or make changes to this bug.